/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.utilerias.ApplicationProperties;
import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 * 
 * @author Administrador
 */
public class RenderEmpresa implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Empresa empresa = (Empresa) o;

		Listcell lc = new Listcell(empresa.getEmpresaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(empresa.getNombempresa());
		lc.setParent(lstm);

		Short tipo = empresa.getIndTipo();
		Short short1 = 1;
		Short short2 = 2;
		Short short3 = 3;
		if (tipo != null) {
			if (tipo.equals(short1)) {
				lc = new Listcell(Labels.getLabel("editarEmpresaController.IndTipo.1"));
			} else if (tipo.equals(short2)) {
				lc = new Listcell(Labels.getLabel("editarEmpresaController.IndTipo.2"));
			} else if (tipo.equals(short3)) {
				lc = new Listcell(Labels.getLabel("editarEmpresaController.IndTipo.3"));
			}
		} else {
			lc = new Listcell(Labels.getLabel(""));
		}
		lc.setParent(lstm);

		lc = new Listcell(empresa.getRfc());
		lc.setParent(lstm);

		lc = new Listcell(empresa.getCnpj());
		lc.setParent(lstm);

		if (!ApplicationProperties.getInstance().mostrarEquivalencia()) {
			lc = new Listcell(empresa.getEquivalenciaId());
			lc.setParent(lstm);
		}

		lstm.setAttribute("data", empresa);
	}
}
